Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Retrieve DeckWatch enabled value.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/cameras/enabled' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns true if DeckWatch is enabled, false otherwise.

Body
boolean
Response
true

Retrieve Camera Metadata

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/cameras/metadata' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.CameraService.Models.CameraMetadataResponse object

Body
statusstring
resultobject(CameraMetadataList)
Response
{ "status": "string", "result": { "cameras": [] } }

Fetches information about the given camera's live stream URL.

Request

Security
Bearer
Query
cameraIdstring

The ID of the camera to get live stream

curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/cameras/stream?cameraId=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns System.Uri object

Body
liveStreamUrlstring or null(uri)
protocolinteger(int32)(AVStreamingProtocols)

Possible values:

  • 0 - None
  • 1 - WebRTC
  • 2 - SRT
  • 3 - RTSP
  • 4 - RTMP
  • 5 - HLS
Enum012345
Response
{ "liveStreamUrl": "http://example.com", "protocol": 0 }

Exports a stream video of the requested recording in .MP4 format.

Request

Security
Bearer
Query
CameraIdstring
StartTimeStampstring(date-time)
EndTimeStampstring(date-time)
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/cameras/export-stream?CameraId=string&StartTimeStamp=2019-08-24T14%3A15%3A22Z&EndTimeStamp=2019-08-24T14%3A15%3A22Z' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Response
No content

Retrieve Image Url

Request

Security
Bearer
Query
cameraIdstring

The ID of the camera to get live stream

curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/cameras/image?cameraId=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns System.Uri object

Body
statusstring
resultobject(CameraMetadataList)
Response
{ "status": "string", "result": { "cameras": [] } }

Start Recording on selected cameras

Request

Security
Bearer
Body

The IDs of the cameras to trigger start recording

Array [
string
]
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/cameras/start' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '[
    "string"
  ]'

Responses

Returns Ok object

Response
No content

Stop Recording on selected cameras

Request

Security
Bearer
Query
pathToSaveRecordingstring

The path to save .ave recordings. If null, default deckwatch setting for file path is used. If a path is provided, save the recordings to that path using auto-generated filenames. If a filename alone is provided, save recordings with that name (appended with camera name) in the default location.

Body

The IDs of the cameras to trigger stop recording

Array [
string
]
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/cameras/stop?pathToSaveRecording=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '[
    "string"
  ]'

Responses

Returns Ok object

Response
No content

Add a new bookmark to the specified cameras

Request

Security
Bearer
Body

The request to add a new bookmark.

namestring or null
descriptionstring or null
cameraIdsArray of strings or null(ICollection<String>)
startTimestring(date-time)
durationobject(TimeSpan)
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/cameras/bookmark' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "name": "string",
    "description": "string",
    "cameraIds": [
      "string"
    ],
    "startTime": "2019-08-24T14:15:22Z",
    "duration": {
      "ticks": 0
    }
  }'

Responses

Returns Ok object

Response
No content

Devices

Operations

ErrorHandler

Operations

Files

Operations

InstrumentData

Operations

RunExecutor

Operations

System

Operations

Users

Operations